﻿using BPASmartClient.CustomResource.Pages.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HKControl
{
    public class DataModel
    {
        public WindowDataModel LeftWindowData { get; set; } = new WindowDataModel();
        public WindowDataModel RightWindowData { get; set; } = new WindowDataModel();

        [Alarm("1号通道缺碗")]
        public bool LackBowl1 { get; set; }

        [Alarm("2号通道缺碗")]
        public bool LackBowl2 { get; set; }

        [Alarm("3号通道缺碗")]
        public bool LackBowl3 { get; set; }

        [Alarm("4号通道缺碗")]
        public bool LackBowl4 { get; set; }

        [Alarm("水温过低")]
        public bool WaterTemperatureLow { get; set; }

        [Alarm("变频器故障")]
        public bool FrequencyConverterFault { get; set; }

        [Alarm("机器人通讯异常")]
        public bool RobotCommFault { get; set; }

        public RobotStatus RBStatus { get; set; }
    }

    public class WindowDataModel
    {
        /// <summary>
        /// 是否允许刷卡
        /// </summary>
        public bool IsSwipe { get; set; }

        /// <summary>
        /// 开始配餐
        /// </summary>
        public bool Start { get; set; }

        /// <summary>
        /// 配餐完成状态
        /// </summary>
        public bool Complete { get; set; }

        /// <summary>
        /// 刷卡机编号
        /// </summary>
        public string CarNum { get; set; }

        [Alarm("警告左侧机构餐盘无盘")]
        public bool L1 { get; set; }

        [Alarm("左侧机构餐盘掉落无餐盘报警")]
        public bool L2 { get; set; }

        [Alarm("左侧升降气缸下降不到位报警")]
        public bool L3 { get; set; }

        [Alarm("左侧升降气缸中间位置不到位报警")]
        public bool L4 { get; set; }

        [Alarm("左侧升降气缸上升不到位报警")]
        public bool L5 { get; set; }

        [Alarm("左侧机构推空餐盘不到位报警")]
        public bool L6 { get; set; }

        [Alarm("左侧机构推空餐盘回退不到位报警")]
        public bool L7 { get; set; }

        [Alarm("左侧出餐推不到位报警")]
        public bool L8 { get; set; }

        [Alarm("左侧出餐回退不到位报警")]
        public bool L9 { get; set; }

        [Alarm("左餐盘掉落位置有餐盘报警")]
        public bool L10 { get; set; }

        [Alarm("左侧套餐完成")]
        public bool L11 { get; set; }


        [Alarm("警告右侧机构餐盘无盘")]
        public bool R1 { get; set; }

        [Alarm("右侧机构餐盘掉落无餐盘报警")]
        public bool R2 { get; set; }

        [Alarm("右侧升降气缸下降不到位报警")]
        public bool R3 { get; set; }

        [Alarm("右侧升降气缸中间位置不到位报警")]
        public bool R4 { get; set; }

        [Alarm("右侧升降气缸上升不到位报警")]
        public bool R5 { get; set; }

        [Alarm("右侧机构推空餐盘不到位报警")]
        public bool R6 { get; set; }

        [Alarm("右侧机构推空餐盘回退不到位报警")]
        public bool R7 { get; set; }

        [Alarm("右侧出餐推不到位报警")]
        public bool R8 { get; set; }

        [Alarm("右侧出餐回退不到位报警")]
        public bool R9 { get; set; }

        [Alarm("右餐盘掉落位置有餐盘报警")]
        public bool R10 { get; set; }

        [Alarm("右侧套餐完成")]
        public bool R11 { get; set; }

    }

    public enum RobotStatus
    {
        运行,
        停止,
        暂停,
        准备,
        故障,
    }
}
